| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryGToGCACPolicyRequest Struct Reference
Call Admission Control

Query Group To Group CAC Policy request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | CACGroup1Name
| The name of the first CAC Group on which to filter for the query. More...
xsd__string | CACGroup2Name
| The name of the second CAC Group on which to filter for the query. More...
xsd__short * | CACPolicyType
| Indicates the CAC policy type. More...

## Detailed Description

Query Group To Group CAC Policy request.

Used by unsp__QueryGToGCACPolicy()

## Member Data Documentation

## ◆ CACGroup1Name

xsd__string unsp__QueryGToGCACPolicyRequest::CACGroup1Name

The name of the first CAC Group on which to filter for the query.

If a CACGroup1Name is specified, information is returned for only policies having that particular CACGroup1Name.
required: false

See also
  unsp__CGName

## ◆ CACGroup2Name

xsd__string unsp__QueryGToGCACPolicyRequest::CACGroup2Name

The name of the second CAC Group on which to filter for the query.

If a CACGroup2Name is specified, information is returned for only policies having that particular CACGroup2Name.
required: false

See also
  unsp__CGName

## ◆ CACPolicyType

xsd__short* unsp__QueryGToGCACPolicyRequest::CACPolicyType

Indicates the CAC policy type.

Policy type is a bitmap, where its bits represent the FaxPolicy, VoicePolicy, and VideoPolicy.

- 0x0004 (VideoPolicyType)
- 0x0005 (Voice & VideoPolicyType)
- 0x0006 (FaxPolicyType)
- 0x0007 (all three of the above)

required: true
default value[range]: NA

## ◆ InterfaceWSDL

char* unsp__QueryGToGCACPolicyRequest::InterfaceWSDL

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ OperatorId

xsd__string unsp__QueryGToGCACPolicyRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryGToGCACPolicyRequest::Paging

Standard paging structure.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h